#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: CommandLineTool

hints:
  # DockerRequirement:
  #   dockerImageId: "sleuth"
  #   dockerFile: {$include: "Dockerfile"}
  DockerRequirement: 
    dockerPull: quay.io/biocontainers/mulled-v2-fdd016122f200fdc6dc30f6ea2fd0000e8067dff:f9531f6ac1f44332eff70b5912d7d5f3ebe8df38-0

requirements:
  - class: InitialWorkDirRequirement
    listing:
      - entryname: kallisto_collect.R
        entry:
          $include: kallisto_collect.R
  - class: NetworkAccess
    networkAccess: true

baseCommand: [Rscript, kallisto_collect.R]

inputs:
  - id: in_kallisto_results
    type: Directory
    inputBinding:
      position: 1
  - id: in_metadata_file
    type: File
    inputBinding:
      position: 2
  - id: in_metadata_sample
    type: string
    inputBinding:
      position: 3
  - id: in_metadata_factor
    type: string
    inputBinding:
      position: 4
  - id: out_folder
    type: string
    inputBinding:
      position: 5

outputs:
- id: outdir
  type:
    type: array
    items: Directory
  outputBinding:
    glob: $(runtime.outdir)/$(inputs.out_folder)
